package fr.cnam.in01.techniques;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.EditText;
import android.widget.LinearLayout;

public class MyView extends LinearLayout {
	
	private EditText txt1, txt2; 
	private String text;
		
	public String getText() {
		return text;
	}

	public void setText(String text) {
		Log.w("TEST", "SET TEXT");
		this.text = text;
		txt1.setText(text);
	}

	public MyView(Context context, AttributeSet attrs) {
		super(context, attrs);

		txt1 = new EditText(context);
		txt2 = new EditText(context);
		
		super.addView(txt1);
		super.addView(txt2);
		
		TypedArray typedAttrs = getContext().obtainStyledAttributes(attrs, R.styleable.MyView);
		
		String text1 = typedAttrs.getString(R.styleable.MyView_text1);
		txt1.setText(text1);

		String text2 = typedAttrs.getString(R.styleable.MyView_text2);
		txt2.setText(text2);

		
	}

	
	
}
