package fr.cnam.pecheurduleman.dataAccessLayer;

import fr.cnam.pecheurduleman.bean.Bean;

public interface DAO<B extends Bean> {

	public void create(B bean);
	public void update(B bean, B beanToUpdate);
	public void delete(B bean);
	public B find(B bean);
	
}
