package fr.cyann.android.billingService;

import org.json.JSONException;
import org.json.JSONObject;

public class SkuDetail {
	String itemType;
	String sku;
	String type;
	String price;
	String title;
	String description;
	String json;

	public SkuDetail(String jsonSkuDetails) throws JSONException {
		this(IabHelper.ITEM_TYPE_INAPP, jsonSkuDetails);
	}

	public SkuDetail(String itemType, String jsonSkuDetails)
			throws JSONException {
		this.itemType = itemType;
		this.json = jsonSkuDetails;
		JSONObject o = new JSONObject(json);
		this.sku = o.optString("productId");
		this.type = o.optString("type");
		this.price = o.optString("price");
		this.title = o.optString("title");
		this.description = o.optString("description");
	}

	public String getSku() {
		return sku;
	}

	public String getType() {
		return type;
	}

	public String getPrice() {
		return price;
	}

	public String getTitle() {
		return title;
	}

	public String getDescription() {
		return description;
	}

	@Override
	public String toString() {
		return "SkuDetail [itemType=" + itemType + ", sku=" + sku + ", type="
				+ type + ", price=" + price + ", title=" + title
				+ ", description=" + description + "]";
	}

}