/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package fr.cnam.in01.db4o.businessModel;

import java.util.ArrayList;
import java.util.List;

/**
 <p>
 @author cyann
 */
public class Department {
	
	private String subName;
	private final List<Department> children;
	private Department parent;

	public String getSubName() {
		return subName;
	}

	public void setSubName(String subName) {
		this.subName = subName;
	}
	
	public String getName() {
		// chain of responcibility
		String name = "";
		if (parent != null) {
			name += parent.getName();
		}
		return name + subName;
	}
	
	void setParent(Department parent) {
		// TODO remove parent when this is removed in parent's list
		this.parent = parent;
	}
	
	public void addChild(Department child) {
		child.setParent(this);
		children.add(child);
	}

	public Department(String subName) {
		children = new ArrayList<Department>();
		this.subName = subName;
	}

	@Override
	public String toString() {
		return "Department{" + "subName=" + subName + ", children=" + children + '}';
	}
	
}
