/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fr.cnam.in01.ormlite.businessModel;

// the book POJO
import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

import fr.cnam.in01.ormlite.common.Pojo;

@DatabaseTable(tableName="book")
public class Book extends Pojo {

	// attributes
	@DatabaseField(index = true)
	private String title;
	@DatabaseField()
	private String isbn;
	@DatabaseField
	private int nbPage;

	// accessors
	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getIsbn() {
		return isbn;
	}

	public void setIsbn(String isbn) {
		this.isbn = isbn;
	}

	public int getNbPage() {
		return nbPage;
	}

	public void setNbPage(int nbPage) {
		this.nbPage = nbPage;
	}

	// constructor
	public Book() {
		// mandatored by SQLite
	}

	public Book(int id) {
		super(id);
	}

	public Book(int id, String title, String isbn, int nbPage) {
		this(id);
		this.title = title;
		this.isbn = isbn;
		this.nbPage = nbPage;
	}

	// methods
	@Override
	public String toString() {
		return "Book{" + "id=" + getId() + ", title=" + title + ", isbn=" + isbn + ", nbPage=" + nbPage + '}';
	}

}
