/* 
 * Copyright (C) 2014 cyann
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package fr.cnam.in01.sqlite.businessModel;

// the book POJO
import fr.cnam.in01.sqlite.common.Pojo;

public class Book extends Pojo {

	// attributes
	private String title;
	private String isbn;
	private int nbPage;

	// accessors
	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getIsbn() {
		return isbn;
	}

	public void setIsbn(String isbn) {
		this.isbn = isbn;
	}

	public int getNbPage() {
		return nbPage;
	}

	public void setNbPage(int nbPage) {
		this.nbPage = nbPage;
	}

	// constructor
	public Book(int id) {
		super(id);
	}

	public Book(int id, String title, String isbn, int nbPage) {
		this(id);
		this.title = title;
		this.isbn = isbn;
		this.nbPage = nbPage;
	}

	// methods
	@Override
	public String toString() {
		return "Book{" + "id=" + getId() + ", title=" + title + ", isbn=" + isbn + ", nbPage=" + nbPage + '}';
	}

}
