package fr.cnam.pecheurduleman.bean;

public class Fish implements Bean, Displayable {

	private String name;
	private Family family;
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Family getFamily() {
		return family;
	}

	public void setFamily(Family family) {
		this.family = family;
	}

	// state less
	public Fish() {
		
	}
	
	// state full
	public Fish(String name, Family family) {
		super();
		this.name = name;
		this.family = family;
	}

	@Override
	public String toString() {
		return "Fish [name=" + name + ", family=" + family + "]";
	}

	@Override
	public String display() {
		return getName();
	}
	
}
