package fr.cnam.pecheurduleman.businessLogicLayer;

import java.util.List;

import fr.cnam.pecheurduleman.bean.Brand;
import fr.cnam.pecheurduleman.dataAccessLayer.BrandDAO;
import fr.cnam.pecheurduleman.dataAccessLayer.ListAll;
import fr.cnam.pecheurduleman.dataAccessLayer.db4o.BrandDb4o;

public class BrandBO implements ListAll<Brand> {

	private final BrandDAO brandDAO;
	
	public BrandBO() {
		super();
		brandDAO = new BrandDb4o();
	}

	@Override
	public List<Brand> listAll() {
		return brandDAO.listAll();
	}

}
