package fr.cnam.pecheurduleman.businessLogicLayer;

import java.util.List;

import fr.cnam.pecheurduleman.bean.Family;
import fr.cnam.pecheurduleman.dataAccessLayer.FamilyDAO;
import fr.cnam.pecheurduleman.dataAccessLayer.ListAll;
import fr.cnam.pecheurduleman.dataAccessLayer.db4o.FamilyDb4o;

public class FamilyBO implements ListAll<Family> {

	private final FamilyDAO familyDAO;
	
	public FamilyBO() {
		super();
		familyDAO = new FamilyDb4o();
	}

	@Override
	public List<Family> listAll() {
		return familyDAO.listAll();
	}

}
