package fr.cnam.pecheurduleman.view.tool;

public class Converter {

	private Converter() {
		super();
	}

	public static float tryParse(String value, float defaultValue) {
		try {
			return Float.valueOf(value);
		} catch (NumberFormatException e) {
			return defaultValue;
		}
	}

}
