package fr.cnam.pecheurduleman.view.tool;

import java.util.List;

import android.content.Context;
import android.util.Log;
import android.widget.ArrayAdapter;
import fr.cnam.pecheurduleman.bean.Bean;
import fr.cnam.pecheurduleman.bean.Displayable;
import fr.cnam.pecheurduleman.dataAccessLayer.ListAll;

public class DataAdapter<B extends Bean & Displayable> extends ArrayAdapter<String> {

	public DataAdapter(Context context, int resource, ListAll<B> bo) {
		super(context, resource);

		List<Displayable> items = (List<Displayable>) bo.listAll();
		Log.i(this.getClass().getName(), "adapte [" + items + "]");
		for (Displayable item : items) {
			super.add(item.display());
		}
		
	}
	
}
